
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>bd：快速返回某级父目录而不用冗余地输入 “cd ../../..” / iVAN</title>

    <meta name="description" content="bd：快速返回某级父目录而不用冗余地输入 “cd ../../..” 在 Linux 系统上通过命令行切换文件夹时,为了回到父目录(长路径),我们通常会重复输入 cd 命令(cd ../../..),直到进入感兴趣的目录. 对于经验丰富的 Linux 用户或需要进行各种不同任务的系统管理员而言,这可能非常乏味,因此希望在操作系统时有一个快捷方式来简化工作. 建议阅读: Autojump - 一个快速浏览 Linux 文件系统的高级 &quot;cd&quot; 命令 在本文中,我们将在 bd 工具的帮助下,用这个简单而有用的工具快速回到 Linux 中的父目录.  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">bd：快速返回某级父目录而不用冗余地输入 “cd ../../..”</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTUvNkMvd0tpb0wxa1ZJaHF5Ni1rWUFBQ1VVVThHSDNvNDQwLmpwZy13aF82NTF4LXNfMjI4NDM3MDkxOC5qcGc=.jpg"></p>
<p>在 Linux 系统上通过命令行切换文件夹时，为了回到父目录(长路径)，我们通常会重复输入 cd 命令(cd ../../..)，直到进入感兴趣的目录。</p>
<p>对于经验丰富的 Linux 用户或需要进行各种不同任务的系统管理员而言，这可能非常乏味，因此希望在操作系统时有一个快捷方式来简化工作。</p>
<p>建议阅读： Autojump - 一个快速浏览 Linux 文件系统的高级 “cd” 命令</p>
<p>在本文中，我们将在 bd 工具的帮助下，用这个简单而有用的工具快速回到 Linux 中的父目录。</p>
<p>bd 是用于切换文件夹的便利工具，它可以使你快速返回到父目录，而不必重复键入 cd ../../.. 。 你可以可靠地将其与其他 Linux 命令组合以执行几个日常操作。</p>
<p><strong>如何在 Linux 中安装 bd</strong></p>
<p>运行下面的命令，使用 wget 命令下载并安装 bd 到 /usr/bin/ 中，添加执行权限，并在 ~/.bashrc 中创建需要的别名：</p>
<pre>
</pre>
<ol>
<li>$ wget --no-check-certificate -O /usr/bin/bd https://raw.github.com/vigneshwaranr/bd/master/bd </li>
<li>$ chmod +rx /usr/bin/bd </li>
<li>$ echo 'alias bd=". bd -si" &gt;&gt; ~/.bashrc </li>
<li>$ source ~/.bashrc </li>
</ol>
<p>注意：如果要启用大小写敏感的目录名匹配，请在上面创建的别名中，设置 -s 标志而不是 -si 标志。</p>
<p>要启用自动补全支持，运行这些命令：</p>
<pre>
</pre>
<ol>
<li>$ sudo wget -O /etc/bash_completion.d/bd https://raw.github.com/vigneshwaranr/bd/master/bash_completion.d/bd </li>
<li>$ sudo source /etc/bash_completion.d/bd </li>
</ol>
<p><strong>如何在 Linux 中使用 bd</strong></p>
<p>假设你目前在这个路径的顶层目录：</p>
<pre>
</pre>
<ol>
<li>/media/aaronkilik/Data/Computer Science/Documents/Books/LEARN/Linux/Books/server $  </li>
</ol>
<p>你想要快速进入 “Documents” 目录，只要输入：</p>
<pre>
</pre>
<ol>
<li>$ bd Documents </li>
</ol>
<p>接着直接进入到 Data 目录，你可以输入：</p>
<pre>
</pre>
<ol>
<li>$ bd Data </li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvOTUvNkMvd0tpb20xa1ZJd0NCNjlKWUFBQ1VVVThHSDNvNjMwLmpwZw==.jpg"></p>
<p>目录间快速切换</p>
<p>实际上，bd 让它变得更加直接，你要做的是输入 “bd &lt;开头几个字母&gt;”，比如：</p>
<pre>
</pre>
<ol>
<li>$ bd Doc$ bd Da </li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTUvNkMvd0tpb0wxa1ZJeGZEOGtuc0FBQXBYZG14OXJjODMwLnBuZw==.jpg"></p>
<p>快速切换目录</p>
<p>重要：如果层次结构中有不止一个具有相同名称的目录，bd 将会移动到最接近的目录，而不考虑最近的父目录，如下面的例子那样。</p>
<p>例如，在上面的路径中，有两个名称相同的目录 Books，如果你想移动到：</p>
<pre>
</pre>
<ol>
<li>/media/aaronkilik/Data/ComputerScience/Documents/Books/LEARN/Linux/Books </li>
</ol>
<p>输入 bd Books 会进入：</p>
<pre>
</pre>
<ol>
<li>/media/aaronkilik/Data/ComputerScience/Documents/Books </li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvOTUvNkMvd0tpb20xa1ZJMENDMTJobEFBQWZ6NVRncmR3NDQ5LnBuZy13aF82MDB4LXNfMjY1MTE1NDU1LnBuZw==.jpg"></p>
<p>快速进入 ‘Books’ 目录</p>
<p>另外，在反引号``中使用 bd 如 `bd &lt;开头几个字母&gt;` 会打印出路径而不更改当前目录，所以你可以与其他常见的 Linux 命令，如 ls，echo 等一起使用 `bd &lt;开头几个字母&gt;` 。</p>
<p>在下面的例子中，当前在 /var/www/html/internship/assets/filetree 目录中，要打印出绝对路径、详细列出内容、统计目录 html 中所有文件的大小，你不必进入它，只需要键入：</p>
<pre>
</pre>
<ol>
<li>$ echo `bd ht` </li>
<li>$ ls -l `bd ht` </li>
<li>$ du -cs `bd ht` </li>
</ol>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvOTUvNkMvd0tpb0wxa1ZJM09naEhHMEFBQkJ3Si1oQ3NNMDQ3LnBuZw==.jpg"></p>
<p>列出切换的目录</p>
<p>要在 Github 上了解更多关于 bd 的信息：https://github.com/vigneshwaranr/bd</p>
<p>就是这样了!在本文中，我们展示了使用 bd 程序在 Linux 中快速切换文件夹的便捷方法。</p>
<p>通过下面的反馈栏单发表你的看法。此外，你还知道其他类似的工具么，在评论中让我们知道。</p>
<p>作者：Aaron Kili</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 11:19:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/github/" title="github">github</a>, <a href="https://www.iamivan.net/tag/wget/" title="wget">wget</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>bd：快速返回某级父目录而不用冗余地输入 “cd ../../..”的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZmmLkp.html" rel="bookmark">PHP获取当前文件的父目录方法汇总&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一:先获得当前文件所在文件夹的长度,然后用substr来截取掉该长度: 复制代码 代码如下:  $dirName = str_replace(&quot;\\&quot;, &quot;/&quot;, dirname(__FILE__));  $dirNameLength = strlen($dirName);  $currentDirNameLength = $dirNameLength - strrpos($dirName,&quot;/&quot;); //获得当前文件所在文件夹的长度!  $			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxjKwjz.html" rel="bookmark">JS不用正则验证输入的字符串是否为空&lpar;包含空格&rpar;的实现代码&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目中需要验证输入的字符串是否为空,包括空格,不太喜欢使用正则,所以就想到了js的indexOf函数,indexOf() 方法可返回某个指定的字符串值在字符串中首次出现的位置,如果要检索的字符串值没有出现,则该方法返回 -1. 语法:stringObject.indexOf(searchvalue,fromindex),searchvalue必需,fromindex:可选参数,在字符串中开始检索的位置.它的合法取值是 0 到 stringObject.length - 1.如省略该参数,则将从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYB5d9p.html" rel="bookmark">网盛生意宝推出&OpenCurlyDoubleQuote;千万级&rdquo;产品目录库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网易科技讯 10月21日消息,网盛生意宝昨日宣布,公司近日将推出千万级的产品目录库--&quot;供应商产品版&quot;. 据生意宝介绍,该平台聚集了近千万条&quot;中国制造&quot;产品的供应信息,产品目录库涵盖了五金工具类.http://www.aliyun.com/zixun/aggregation/31169.html&quot;&gt;交通运输类.仪表仪器类.传媒类等近40项主类别. 生意宝此次推出的&quot;产品目录库&quot;,基于其平台&quot;日商机发布量&quot;和&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9ZErb.html" rel="bookmark">iis 启用父目录路径访问</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天公司有个客户保修网站后台无法访问,我查看了源代码,发现ASP代码本身并没有什么问题.而且我下到本地能够访问.就是在网上不能正常连接,显示入下错误: Server.MapPath() 错误 'ASP 0175 : 80004005' 不允许的 Path 字符 /0709/dqyllhsub/news/OpenDatabase.asp,行 4 在 MapPath 的 Path 参数中不允许字符 '..' 网页里面用了一个 Response.Redirect 的路径重指向,客户页面里面指向路径写的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL2xg8b.html" rel="bookmark">妖级网游都不用鼠标？键盘杀手是如何炼成的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可能有很多人并不知道,在1998年以前,玩游戏基本上是不用鼠标的.&lt;仙剑奇侠传&gt;.&lt;轩辕剑&gt;.&lt;剑侠情缘&gt;.&lt;大富翁&gt;等风靡当时的作品,都是全键盘操作. 那么是从什么时候开始,鼠标成为游戏的主要操作装备呢?国外的兴起无从考证,但国内的标志性时间是&lt;神雕侠侣&gt;低价入市并且提出&quot;一鼠走天下&quot;开始,这一年就是1998年.而在此之前,多为射击游戏和策略游戏热衷于鼠标操作.后来伴随&lt;星际争霸&gt;.&lt;魔兽争霸&gt;等游戏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba6DlQM.html" rel="bookmark">IIS6安全太高了吧&period;不让访问父目录&period;愁人&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题1:未启用父路径 症状举例: Server.MapPath() 错误 'ASP 0175 : 80004005' 不允许的 Path 字符 /0709/dqyllhsub/news/OpenDatabase.asp,行 4 在 MapPath 的 Path 参数中不允许字符 '..'. 原因分析: 许多Web页面里要用到诸如../格式的语句(即回到上一层的页面,也就是父路径),而IIS6.0出于安全考虑,这一选项默认是关闭的. 解决方法: 在IIS中属性-&gt;主目录-&gt;配置-&gt;选项中.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAxrEb.html" rel="bookmark">git提交不用每次都输入用户名密码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建公钥 1.目的: 使用SSH公钥可以让你在你的电脑和码云通讯的时候使用安全连接(git的remote要使用SSH地址)1.打开终端进入.ssh目录 cd ~/.ssh 如果.ssh文件夹不存在,执行指令自动创建 mkdir ~/.ssh 2.生成RSA密钥对 ssh-keygen -t rsa -C &quot;你的邮箱@xxx.com&quot; 为了方便全程回车即可(不用输入ras文件名及密码) 3.查看公钥内容 cat ~/.ssh/id_rsa.pub 4.将公钥内容复制并粘贴(注意:公钥内容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBBY1b.html" rel="bookmark">2013级C&plus;&plus;第15周&lpar;春&rpar;项目&mdash;&mdash;输入输出流及文件文件操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				课程首页在:http://blog.csdn.net/sxhelijian/article/details/11890759,内有完整教学方案及资源链接 本周程序阅读及程序调试中需要的文件,请到http://pan.baidu.com/s/1qW59HTi下载. 第一部分 阅读程序(运行程序时,由上面的链接下载源代码)1.阅读教材例13.1到例13.7的程序,根据所用到的函数在功能上的限制,自己设计输入的测试数据,运行程序.(1)与自己的期望结果相对照,理解各个函数的用法:(2)深入理解数据流类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2xnOb.html" rel="bookmark">linux基础命令&lpar;2&rpar; cd命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux cd 命令可以说是Linux中最基本的命令语句,其他的命令语句要进行 操作,都是建立在使用 cd 命令上的. 所以,学习Linux 常用命令,首 先就要学好 cd 命令的使用方法技巧. 1. 命令格式: cd [目录 名] 2. 命令功能: 切换当前目录至dirName 3. 常用范例 3.1 例一:进入系统根目录 命令: cd / 输出: [root@localhost ~]# cd / 说明:进入系统根目录,上面 命令执行完后拿ls命令看一下,当前目录已经到系统根目录了 命令:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnDjKb.html" rel="bookmark" class="title">系统存储过程</a>
					<div>
						   系统存储过程就是系统创建的存储过程,目的在于能够方便地从系统表中查询信息或完成与更新数据库表相关的管理任务或其它的系统管理任务.系统过程以&quot;sp_&quot;_ 为开头,在Master ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnj2rp.html" rel="bookmark" class="title">一番话--结构型模式</a>
					<div>
						前面我已经讲过了创建型模式,即:工厂模式,抽象工厂模式,单件模式,原型模式,建造者模式.创建型模式都是为了解决对象创建问题的.也就是说,如果你想避免将来为了创建一个你不曾考虑到的对象类型而发愁,就考虑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN4Eyz.html" rel="bookmark" class="title">新手要明白网站就是在取舍中前行的</a>
					<div>
						不知道为什么自己的几个站长QQ群最近冷清了不少,也许是百度令人无法忍受的K站事件让大家灰心了,丧气了,离开了站长行业,也可能大家都在寻找更适合自己网站发展的道路,但不管怎样,既然选择了站长行业,我们就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WBYnb.html" rel="bookmark" class="title">PS教你创建大方喜庆的3D包装礼盒文字效果</a>
					<div>
						  先看效果图: 第1步 创建一个新的1024×786像素的文件.设置前景色为#780500和背景颜色为#210100,选择渐变工具,单击选项栏中的径向渐变图标,然后单击并从中心向四角拖动鼠标. 创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWld7b.html" rel="bookmark" class="title">Win7移动硬盘分区打不开怎么解决</a>
					<div>
						  移动硬盘相信大家都不陌生吧,每个人都会有一个.我们会用它来存储文件和一些资料,不过在使用过程中也会遇到问题.Win7系统的用户遇到这样一个问题,他将移动硬盘插入到电脑的时候,发现移动硬盘打不开,怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZBOBb.html" rel="bookmark" class="title">怎么找回win7系统消失的音量图标</a>
					<div>
						对于广大win7系统用户而言,通常我们在win7系统中调节音量,都会点击任务栏右下角的音量图标.可是有用户反映在使用音量图标的时候,突然发现音量图标消失不见了,这是怎么回事呢?很多用户遇到这种情况不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW9Aop.html" rel="bookmark" class="title">笔记本屏幕亮度不能调了怎么办</a>
					<div>
						  进入系统后无法调节屏幕的亮度,遇见这种情况有两种可能,一是需要安装一个软件,在官方网站下载专区软件里找到热键驱动软件装完以后就可以正常使用组合键调节屏幕亮度了.二是显卡驱动没有装好,导致无法调节亮 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkrgLb.html" rel="bookmark" class="title">如何检查注册表是否被电脑攻击</a>
					<div>
						  如果怀疑电脑被黑客攻击了,首先要检查注册表的&quot;Run&quot;子项.查找在这些子项中是否加载了陌生的程序. 攻击者可以利用&quot;Run&quot;子项启动恶意程序,还有可能通过这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad9knz.html" rel="bookmark" class="title">c&num;-asp&period;net网站上传后到主机空间后无法写入access数据库</a>
					<div>
						问题描述 asp.net网站上传后到主机空间后无法写入access数据库 我的主机空间是西部数码的服务器,系统应该是windows server的,网站在本地调试时正常,但是上传到主机后能够读出数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwQKKp.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，请问一般后堂管理的系统构思是什么？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,请问一般后堂管理的系统构思是什么? link环境下制作一款&lt;订餐软件&gt;,请问一般后堂管理的系统构思是什么? 解决方案 参考下这个链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGgONp.html" rel="bookmark" class="title">virtualbox虚拟机上安装centOS的网络配置</a>
					<div>
						最近接触hadoop,需要在在Linux上面开发,所以我装了一个virtualbox虚拟机,在该虚拟机上面安装了一个centOS系统.linux系统是装好了,但是网络配置却另人头疼.我主要是想让宿主机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72a3Zp.html" rel="bookmark" class="title">阿里云轻量应用服务器解读，为中小企业提供数字化的解决之道</a>
					<div>
						对于云计算的初学者及传统企业用户来说,面对云计算产品较高的技术门槛.繁多的计费项和计费策略,经常会一头雾水,有时承担了较高的费用却没能获得优秀的使用体验,甚者,更因无从下手,望而却步. &quot;好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP2alp.html" rel="bookmark" class="title">布局问题-Java中BorderLayout的一些奇怪问题。。。</a>
					<div>
						问题描述 Java中BorderLayout的一些奇怪问题... BorderLayout布局的JPanel为什么不能多次&quot;嵌套&quot;?求高手指点 public class Test  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm0wkz.html" rel="bookmark" class="title">在extjs desktop中如何添加点击事件能让startmenu菜单项改变</a>
					<div>
						问题描述 在extjs desktop中如何添加点击事件能让startmenu菜单项改变 在extjs desktop中如何添加点击事件能让startmenu菜单项列表改变成另一个菜单项列表					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N50gM.html" rel="bookmark" class="title">补天漏洞平台为什么能吸引众多白帽和企业&quest;</a>
					<div>
						[51CTO.com原创稿件]3月7日,维基解密分批公开了据称是美国中情局与网络攻击相关的一批秘密文件,文件揭露了美国中央情报局黑客部队的黑暗历史:攻击手法.攻击目标.会议记录以及几乎所有的黑客工具均 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRxdDz.html" rel="bookmark" class="title">后端传过来一个list&amp;amp&semi;amp&semi;lt&semi;对象&amp;amp&semi;amp&semi;gt&semi;的类型，前端怎么把把每个对象中的每一个值取出来？</a>
					<div>
						问题描述 后端传过来一个list&lt;对象&gt;的类型,前端怎么把把每个对象中的每一个值取出来? questionList = '&lt;%=request.getAttribute(&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ7wqp.html" rel="bookmark" class="title">mysql表如何保证每秒1000次的并发访问速度</a>
					<div>
						问题描述 mysql表如何保证每秒1000次的并发访问速度 我写了个服务,使用Java写的,发布在Tomcat上.发布Tomcat的服务器,如何保证高并发访问? 我是需要提高机器的cpu还是内存呢?M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YjERM.html" rel="bookmark" class="title">关于  NHibernate 关于继承 HibernateDaoSupport</a>
					<div>
						问题描述 如果继承了HibernateDaoSupport类那么如何保证一个线程使用一个session?如果使用HibernateDaoSupport中的属性Session他是会重新生成一个新的ISe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRyPEb.html" rel="bookmark" class="title">myeclipse8&period;5如何安装spket插件</a>
					<div>
						问题描述 myeclipse8.5如何安装spket插件 从网上下载的spket-1.6.23放到myEclipse安装目录下的myeclipse8.5InstallDirectorydropins下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXgrmz.html" rel="bookmark" class="title">医药招商网站如何适应招商代理模式的发展</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 医药行业的销售模式,最主要的销售方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ReeRz.html" rel="bookmark" class="title">教改倒计时：教育投入问题几无突破</a>
					<div>
						正在制定中的&lt;国家中长期教育改革和http://www.aliyun.com/zixun/aggregation/21635.html&quot;&gt;发展规划纲要&gt;(以下简称&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M605aOz.html" rel="bookmark" class="title">mfc-MFC类与控件相关联的问题</a>
					<div>
						问题描述 MFC类与控件相关联的问题 我想做一个功能,对话框上放置静态文本,但是有多个,对每一个的操作我希望在一个静态文本的类里面实现,比如,如果发现哪个静态文本颜色是红色的我就提供点击功能,各位大神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12mR3p.html" rel="bookmark" class="title">没革哪有新？看云计算在医疗行业的版图</a>
					<div>
						本文讲的是没革哪有新?看云计算在医疗行业的版图[IT168评论]云技术被全球医疗机构广泛采用.在过去几年中,医疗行业已经意识到云计算的潜力,以及如何帮助他们为患者提供优质的服务.云技术加速了医疗保健行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEr0Oz.html" rel="bookmark" class="title">仿新浪微盾客户端项目简介四</a>
					<div>
						上节我们说到我们主要的算法是在Google的一个开源项目Google Authenticator 修改的.那么我们窥探一下Google Authenticator的全貌. 我们通过源代码来了解,上代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z0g4b.html" rel="bookmark" class="title">JavaFX激活选项卡的问题</a>
					<div>
						问题描述 如图,怎样才能实现点击Button1激活Tab1,点击Button2激活Tab2.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkB2lp.html" rel="bookmark" class="title">微软收购跨平台移动开发公司 Xamarin&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 据外媒报道,经过多年的猜测和谣传之后,日前,微软终于收购了跨平台移动开发公司Xamarin.至于收购金额并未得到公布.微软云端与企业部门执行副总裁ScotGuthrie在博客中指出,Xama ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg2l3z.html" rel="bookmark" class="title">我国8月启动TD-LTE技术试验：不会与TD抢食</a>
					<div>
						6月4日消息,知情人士透露,我国将于今年8月开始启动TD-LTE技术试验,包括大唐.中兴.华为.普天.爱立信等在内国内外的主流系统设备厂商都将参加.预计TD-LTE速率未来目标是将达到100Mbps. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdDnDM.html" rel="bookmark" class="title">struts2 s&colon;textfield 与 s&colon;property 可否嵌套使用的问题</a>
					<div>
						问题描述 页面内的这个文本框&lt;input type=&quot;text&quot; name=&quot;id&quot; value='&lt;s:property value=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7JGop.html" rel="bookmark" class="title">5款用起来超级顺手的十六进制编辑器</a>
					<div>
						十六进制编辑器通常用于很严肃的工作,但是也可以用它来做一些有趣的尝试.不管你是专业的开发人员.业务爱好者,还是完全的新手,都会有一个非常适合你的十六进制编辑器.本文列出了现有的十六进制编辑器中不错的5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y6q4z.html" rel="bookmark" class="title">9Linux服务器编程之：mkdir&lpar;&rpar;函数和rmdir&lpar;&rpar;函数</a>
					<div>
						﻿﻿ 1 mkdir依赖的头文件 #include&lt;sys/stat.h&gt; #include&lt;sys/types.h&gt;                        2.函数声 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
